Product Robot Tokens

Reveal product robot API token value

Returns the decrypted value of a robot API token. Available to Owner/SuperAdmin/Administrator/TeamLead only.

GET
/api/v2/products/{uid}/robot-tokens/{id}/reveal

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

uid*string
id*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/products/string/robot-tokens/string/reveal"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "token": "string"}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
Empty
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}